petsc-3.4.2 2013-07-02

# DMShellSetGlobalToLocal

Sets the routines used to perform a global to local scatter

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalToLocal(DM dm,PetscErrorCode (*begin)(DM,Vec,InsertMode,Vec),PetscErrorCode (*end)(DM,Vec,InsertMode,Vec))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| begin | - the routine that begins the global to local scatter
| end | - the routine that ends the global to local scatter

Notes: If these functions are not provided but DMShellSetGlobalToLocalVecScatter() is called then DMGlobalToLocalBeginDefaultShell() are used to to perform the transfers DMGlobalToLocalEndDefaultShell()

### See Also

DMShellSetLocalToGlobal(), DMGlobalToLocalBeginDefaultShell(), DMGlobalToLocalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages